> ## Documentation Index
> Fetch the complete documentation index at: https://docs.streambird.io/llms.txt
> Use this file to discover all available pages before exploring further.

# GetJWKs

> Get JWK Set using a publishable `PublicToken` or secret `ApiKey`. It serves as a wrapper on top of `GetJWKsByApp` and infers the `app_id` from the api key used.
## Returns

A successful response returns a `JWK` Set object.



## OpenAPI

````yaml get /v1/auth/jwks/default
openapi: 3.1.0
info:
  title: MoonKey Auth API
  description: >-
    Explore all the details of MoonKey Auth API. All of our APIs are RESTful and
    accept and return JSON.
  version: v1
servers:
  - url: https://api.moonkey.fun
    description: Production
    variables: {}
security:
  - Authorization: []
tags:
  - name: Users
    description: User management API
  - name: Magic Links
    description: ''
  - name: OTPs
    description: >-
      Send OTP (One-time passcodes) by all the supported delivery methods such
      as SMS, email.
  - name: OAuth
    description: ''
  - name: Wallets Login
    description: ''
  - name: Managed Wallets
    description: ''
  - name: Wallet Import
    description: >-
      Import existing wallets into the platform using secure HPKE encryption.
      This flow ensures raw entropy (seed phrases or private keys) never touches
      the server in plaintext.
externalDocs:
  url: ''
  description: ''
paths:
  /v1/auth/jwks/default:
    get:
      tags:
        - Sessions
      summary: GetJWKs
      description: >-
        Get JWK Set using a publishable `PublicToken` or secret `ApiKey`. It
        serves as a wrapper on top of `GetJWKsByApp` and infers the `app_id`
        from the api key used.

        ## Returns


        A successful response returns a `JWK` Set object.
      operationId: GetJWKs
      parameters: []
      responses:
        '200':
          content:
            application/json:
              schema:
                description: ''
                type: object
                properties:
                  keys:
                    type: array
                    uniqueItems: true
                    minItems: 1
                    items:
                      type: object
                      properties:
                        alg:
                          type: string
                          minLength: 1
                        e:
                          type: string
                          minLength: 1
                        key_ops:
                          type: array
                          items:
                            type: object
                        kid:
                          type: string
                          minLength: 1
                        kty:
                          type: string
                          minLength: 1
                        'n':
                          type: string
                          minLength: 1
                        use:
                          type: string
                          minLength: 1
                        x5c:
                          type: array
                          items:
                            type: object
                        x5t#S256:
                          type: string
                          minLength: 1
                      required:
                        - alg
                        - e
                        - key_ops
                        - kid
                        - kty
                        - 'n'
                        - use
                        - x5c
                        - x5t#S256
                required:
                  - keys
              examples:
                GetJWKsResp:
                  value:
                    keys:
                      - alg: RS256
                        e: AQAB
                        key_ops:
                          - verify
                        kid: jwk_27D5uOThR2dsgraX7WVoELG4qEX
                        kty: RSA
                        'n': >-
                          uoIQ4EXnR_iRaDc2QTJAMOphBUDBvKKgldlLvX-8uJ8VcqTtoKU2ojMqGZlEFSW-h2rBwh4j5sny_4tOWXdWJ0x6k2ZAVlVddqtfDBb3oM-l2OjcLox43sO3hr4O7n57sbFQvJLXOr_SQof8qWhR2d8yo_GGXJV6Shr57P0sTIFwRJ3YbBYs806WZzB6J8Ze8BzcUXDA_tCRKOhM-GMVFxWPXYHm-A7lkqEQSd7z8AzyfNQOew1lPAgAGIJYciD1kxQK5B3RjDrcf9q11x7vRPlCWCan8WrtS351uzxLzjtdVoV8C5atTumgw2P-sx6oAOhdvUSIfi_kh8LtPwbI5w
                        use: sig
                        x5c:
                          - >-
                            MIIBIjANBgkqhkiG9w0BAQEFAAOCAQ8AMIIBCgKCAQEAuoIQ4EXnR/iRaDc2QTJAMOphBUDBvKKgldlLvX+8uJ8VcqTtoKU2ojMqGZlEFSW+h2rBwh4j5sny/4tOWXdWJ0x6k2ZAVlVddqtfDBb3oM+l2OjcLox43sO3hr4O7n57sbFQvJLXOr/SQof8qWhR2d8yo/GGXJV6Shr57P0sTIFwRJ3YbBYs806WZzB6J8Ze8BzcUXDA/tCRKOhM+GMVFxWPXYHm+A7lkqEQSd7z8AzyfNQOew1lPAgAGIJYciD1kxQK5B3RjDrcf9q11x7vRPlCWCan8WrtS351uzxLzjtdVoV8C5atTumgw2P+sx6oAOhdvUSIfi/kh8LtPwbI5wIDAQAB
                        x5t#S256: NX58stxO+soCSJsfxxF9rwtxxCv/6QRC51hjqFPFTL0=
          description: GetJWKs response
components:
  securitySchemes:
    Authorization:
      type: http
      scheme: bearer
      description: >-
        Auth Platform API includes all the Auth related features. All Users,
        Phone Numbers, Emails, and OTPs are associated with an `App` as the
        container.


        Endpoints only accept App's `Secret API keys` other than certain
        endpoints that are used client side or via SDK that accept the
        `public_token`.


        ## Authentication using App Api Key


        ## Header:


        ```

        Authorization: Bearer {api_key}

        ```


        ## Authenticated Request


        ```curl

        curl \
          -X GET https://api.moonkey.fun/v1/auth/users/user_24wFP9pDa9YiMJLun94iKykoZs2 \
          -H "Authorization: Bearer sk_test_pRqweh3wvWmJAAVYv7Z0T5iPLzFM4ql0muoyQcjOxGeN3p1r"
        ```

````